Skip to main content
GET
/
card_transactions
List card transactions
curl --request GET \
  --url https://api.whop.com/api/v1/card_transactions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "usd_amount": 6.9,
      "authorization_method": "ecommerce",
      "created_at": "2023-12-01T05:00:00.401Z",
      "card_id": "<string>",
      "cashback_usd_amount": 6.9,
      "currency": "USD",
      "declined_reason": "insufficient_funds",
      "international": true,
      "local_amount": 6.9,
      "memo": "Team dinner",
      "merchant_category": "Software",
      "merchant_category_code": "5734",
      "merchant_icon_url": "https://logo.clearbit.com/example.com",
      "merchant_name": "Acme Corporation",
      "posted_at": "2023-12-01T05:00:00.401Z",
      "status": "pending",
      "transaction_type": "spend"
    }
  ],
  "page_info": {
    "end_cursor": "<string>",
    "start_cursor": "<string>",
    "has_next_page": true,
    "has_previous_page": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.whop.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Query Parameters

after
string | null

Returns the elements in the list that come after the specified cursor.

before
string | null

Returns the elements in the list that come before the specified cursor.

first
integer | null

Returns the first n elements from the list.

Example:

42

last
integer | null

Returns the last n elements from the list.

Example:

42

card_id
string | null

Filter transactions to a specific card.

company_id
string
required

The company to list card transactions for.

Example:

"biz_xxxxxxxxxxxxxx"

created_after
string<date-time> | null

Only return transactions created after this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

created_before
string<date-time> | null

Only return transactions created before this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

direction
enum<string> | null

Sort direction for results.

Available options:
asc,
desc
status
enum<string> | null

Filter by transaction lifecycle status.

Available options:
pending,
completed,
reversed,
declined

Response

A successful response

The connection type for PublicCardTransaction.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.